Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface DynValue

All Superinterfaces:
  DynAny, Object

public interface DynValue
extends Object, DynAny

The representation of a `DynAny` object that is associated with an IDL value type.

Method Summary
`TCKind` | `current_member_kind()` Returns the `TCKind` object that describes the current member.
`String` | `current_member_name()` Returns the name of the current member while traversing a `DynAny` object that represents a Value object.
`NameValuePair[]` | `get_members()` Returns an array containing all the members of the value object stored in this `DynValue`.
`void` | `set_members(NameValuePair[] value)` Sets the members of the value object this `DynValue` object represents to the given array of `NameValuePair` objects.

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Methods inherited from interface org.omg.CORBA.DynAny
`assign, copy, current_component, destroy, from_any, get_any, get_boolean, get_char, get_double, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### current_member_name

    public String current_member_name()

  Returns the name of the current member while traversing a `DynAny` object that represents a Value object.

  Returns:
    the name of the current member

### current_member_kind

    public TCKind current_member_kind()

  Returns the `TCKind` object that describes the current member.

  Returns:
    the `TCKind` object corresponding to the current member

### get_members

    public NameValuePair[] get_members()

  Returns an array containing all the members of the value object stored in this `DynValue`.

  Returns:
    an array of name-value pairs.
  See Also:
    `set_members(org.omg.CORBA.NameValuePair[])`

### set_members

    public void set_members(NameValuePair[] value)
                     throws InvalidSeq

  Sets the members of the value object this `DynValue` object represents to the given array of `NameValuePair` objects.

  Parameters:
    `value` - the array of name-value pairs to be set
  Throws:
    `InvalidSeq` - if an inconsistent value is part of the given array
  See Also:
    `get_members()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.